Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> CGI abuses >> Moodle < 1.5.3 Multiple SQL Injection Vulnerabilities


Vulnerability Assessment Details

Moodle < 1.5.3 Multiple SQL Injection Vulnerabilities

Vulnerability Assessment Summary
Checks for multiple SQL vulnerabilities in Moodle < 1.5.3

Detailed Explanation for this Vulnerability Assessment

Summary :

The remote web server contains a PHP application that is affected by
multiple SQL injection issues.

Description :

The remote installation of Moodle fails to sanitize user-supplied
input to the id' parameter of 'course/category.php' and
'course/info.php' scripts as well as the 'user' parameter of
'iplookup/ipatlas/plot.php' script before using it in database
queries. A possible hacker may be able to exploit these issues to launch
SQL injection attacks against the affected application, possibly
levering them to run arbitrary PHP code on the remote host, subject to
the permissions of the web server user id.

See also :

http://retrogod.altervista.org/moodle16dev.html
http://security.moodle.org/mod/forum/discuss.php?d=186

Solution :

Upgrade to Moodle 1.5.3 or later when it becomes available or enable
PHP's 'magic_quotes_gpc' setting and disable its 'register_globals'
setting.

Network Security Threat Level:

High / CVSS Base Score : 7.0
(AV:R/AC:L/Au:NR/C:P/I:P/A:P/B:N)

Networks Security ID: 15380

Vulnerability Assessment Copyright: This script is Copyright (C) 2005-2006 Tenable Network Security

Cables, Connectors

Dell R720 12-Core Server 2x E5-2640 2.5GHz 192GB-8 4x 600GB SAS H710 2.5in RPS
$840.84
Dell R720 12-Core Server 2x E5-2640 2.5GHz 192GB-8 4x 600GB SAS H710 2.5in RPS pictureDell R730 12-Core Server 2x E5-2643 v3 3.4GHz 32GB-8 4x 1.2TB 12G SAS H730 RPS
$2729.87
Dell R730 12-Core Server 2x E5-2643 v3 3.4GHz 32GB-8 4x 1.2TB 12G SAS H730 RPS pictureHP DL380p G8 16-Core Server 2x E5-2660 2.2GHz 32GB-8 8x 146GB 15K SAS 2GB RPS
$510.51
HP DL380p G8 16-Core Server 2x E5-2660 2.2GHz 32GB-8 8x 146GB 15K SAS 2GB RPS pictureHP DL380p G8 16-Core Server 2x E5-2660 2.2GHz 384GB-16 8x 146GB, 8x 900GB RPS
$2824.25
HP DL380p G8 16-Core Server 2x E5-2660 2.2GHz 384GB-16 8x 146GB, 8x 900GB RPS picture


Discussions

No Discussions have been posted on this vulnerability.